# Fedora Easy Karma

**fedora-easy-karma** (FEK) is a console application that makes it easy to submit feedback for [proposed updates](https://bodhi.fedoraproject.org) in a Fedora or EPEL testing repository, all from your command line. It is a CLI counterpart to submitting feedback through the Fedora Updates System (Bodhi) web application.

It can automatically recognize any testing package that you have installed, it gives you various pieces of information on the package, including other users' comments, and it lets you easily comment and provide karma (evaluation) to that package.

Find more info about Fedora Easy Karma here:  
https://fedoraproject.org/wiki/Fedora_Easy_Karma

The process of testing updates in Fedora is described in detail here:  
https://fedoraproject.org/wiki/QA:Updates_Testing

This page documents when it's appropriate to give karma to updates:  
https://fedoraproject.org/wiki/QA:Update_feedback_guidelines

## Installation

*Fedora Easy Karma* is available as a Fedora package, install it like this:

```
$ sudo dnf install fedora-easy-karma
```

## Execution

Run the app from a terminal using:

```
$ fedora-easy-karma
```

The application will show you information about the packages, users' comments related to them, and it will let you comment and provide karma. If you do not wish to comment and provide karma for this particular package, you can *skip* to a next package, or you can *ignore* that package and move to the next one, until all the packages have been provided karma, skipped or ignored.

When you skip the package, FEK will ask about it next time you run it. If you ignore the package, FEK will not ask you about it any longer until a newer version of that package is found on your system.

Note that in order to use FEK, you need to have a [Fedora account](https://accounts.fedoraproject.org). If you do not have one, create it. The first time you try to submit karma through FEK, you'll be asked to log in to your Fedora Account using your browser, and copy over a login authentication token to FEK.

## Optional arguments

Using optional arguments, you can alter the default way FEK behaves. Learn about the available options and their meaning by running:

```
$ fedora-easy-karma --help
```

Frequently used command line options can be stored in `~/.config/fedora-easy-karma/default_cmdline`. They will be automatically added to any `fedora-easy-karma` execution without the need of typing them. See documentation inside the file and in `--help` for an example and format description.

## Contact

You can report any issues with FEK or participate in its development at:  
https://pagure.io/fedora-easy-karma
